import ReactFlow, { Background, Controls } from 'reactflow';

// we have to import the React Flow styles for it to work
import 'reactflow/dist/style.css';

const nodes = [
  {
    id: '1',
    data: { label: 'Hello' },
    position: { x: 0, y: 0 },
    type: 'input',
  },
  {
    id: '2',
    data: { label: 'World!' },
    position: { x: 100, y: 100 },
  },
];

const Flow = () => {
  return (
    <div style={{ height: '100vh' }}>
      <ReactFlow nodes={nodes}>
        <Background />
        <Controls />
      </ReactFlow>
    </div>
  );
};

export default Flow;
